<?xml version="1.0"?>

<config
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:noNamespaceSchemaLocation="urn:magento:framework:ObjectManager/etc/config.xsd"
>
    <type name="Websnap\Magento\Observer\SendThroughWebsnap">
        <arguments>
            <argument name="mappings" xsi:type="array">
                <item name="websnap_product_view" xsi:type="array">
                    <item name="viewport_width" xsi:type="const">Websnap\Magento\Model\Config::DEFAULT_VIEWPORT_WIDTH</item>
                    <item name="viewport_height" xsi:type="const">Websnap\Magento\Model\Config::DEFAULT_VIEWPORT_HEIGHT</item>
                </item>
            </argument>
        </arguments>
    </type>
</config>
